/**********************************************************************
Copyright (c) 2009-2010 Alexander Kerner. All rights reserved.
Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
 *********************************************************************/
package net.sf.jcmdlineparser.options;


/**
 * <p>
 * A <code> NoSuchOptionException </code> is thrown, if there has been provided
 * an unknown option identifier on the command line.
 * </p>
 * 
 * @author <a href="mailto:alex.kerner.24@googlemail.com">Alexander Kerner</a>
 * @version 2010-08-10
 * @see AbstractOption
 * 
 */
public class NoSuchOptionException extends RuntimeException {

	private static final long serialVersionUID = -2303903908569697593L;

	public NoSuchOptionException() {

	}

	public NoSuchOptionException(String message) {
		super(message);

	}

	public NoSuchOptionException(Throwable cause) {
		super(cause);

	}

	public NoSuchOptionException(String message, Throwable cause) {
		super(message, cause);

	}

}
